import SwiftUI

struct V: View {
  @StateObject var tf = Cord.TextField("text.app", "text.ui")
  @StateObject var vm = VM()
  
  var body: some View {
    VStack {
      HStack {
        Text("Check text field:")
        Text("'\(tf.value)'")
          .fontWeight(.bold)
      }

      TextField("Binding-3", value: $tf.value, formatter: TextFieldValueOwner())
        .padding(8)
        .border(Color.blue, width: 2)

      Button(action: vm.join.send) {
        Text("Join")
          .padding(8)
          .border(vm.isJoinAvailable ? Color.green : Color.red, width: 4)
      }

    }
    .frame(width: 320)
    .padding()
  }
}
